Skip to content
Reference/Quick Replies/Update Quick Reply

Update Quick Reply

PUThttps://public.leadpattern.com/quick-replies/:id
application/json60 req/min

Update the shortcut, visibility, or message of an existing quick reply.

Headers

1 field
Authorizationstring
required
Your API key. Sent raw (e.g. 'lp_...'). No Bearer prefix required.

Path Parameters

1 field
idstring
required
Quick reply ID.

Body Parameters

3 fields
shortcutstring
optional
New shortcut keyword.
accessToenum
optional
New visibility scope.
Allowed values:
everyoneonly_me
rawMessageobject
optional
textstring
optional
Updated message text.

Responses

JSON Response
{
  "type": "success",
  "data": {
    "id": "664abc123def456789012345",
    "shortcut": "/hello",
    "visibility": "everyone",
    "message": "Hi there! How can we help?"
  }
}

Sample Request Body

{
  "shortcut": "/hello",
  "rawMessage": {
    "text": "Hi there! How can we help?"
  }
}